Update Account

Update an existing account's details.

This method allows you to update details of one or more accounts in Saner Server. It requires the name of accounts to be updated and all other details. Organization added via add account api previously will be fetched automatically and used and need not be explicitly mentioned in the request.

To update the account name itself, use the ‘newname’ attribute.

KeyMeaningMandatoryData Type
nameName of the account to be updated.Yesstring
emailEmail address for the account. If not provided, the current address is kept.Nostring
newnameNew account name (used to update the account name itself).Nostring
Python SDK code

Install:

pip install secpod-saner-sdk

Call this endpoint:

from saner.platform import PlatformClient

client = PlatformClient(
    api_key="<YOUR_API_KEY>",
    accountid="<YOUR_ACCOUNT_ID>",
    base_url="https://saner.secpod.com"
)

response = client.Account.update(
    name="Acc1",
    email="[email protected]",
    newname="NewAcc1"
)

print(response)
client.close()

Requires Python 3.9 or later.

Query Params
string
required

Account name used to identify the User

Body Params
request
object
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json